slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNMonitorSetFromOptions(MFN mfn,const char opt[],const char name[],void *ctx)

Collective

### Input Parameters

| mfn | - the matrix function context
| opt | - the command line option for this monitor
| name | - the monitor type one is seeking
| ctx | - an optional user context for the monitor, or NULL

### See Also

MFNMonitorSet()

### Level

developer

### Location

src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages